Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to attach the configuration onto.

Body

application/json
boundClaims
object
required

The attributes that should be present in the JWT for it to be valid.

templateId
string<uuid>

The ID of the OIDC auth template to source identity provider settings from. When provided, the OIDC discovery URL, issuer, audiences, and CA certificate are taken from the template and cannot be set individually.

oidcDiscoveryUrl
string<uri>

The URL used to retrieve the OpenID Connect configuration from the identity provider.

Minimum string length: 1
caCert
string

The PEM-encoded CA cert for establishing secure communication with the Identity Provider endpoints.

boundIssuer
string

The unique identifier of the identity provider issuing the JWT.

Minimum string length: 1
boundAudiences
string

The list of intended recipients.

claimMetadataMapping
object

The attributes that should be present in the permission metadata from the JWT.

boundSubject
string
default:""

The expected principal that is the subject of the JWT.

accessTokenTrustedIps
object[]

The IPs or CIDR ranges that access tokens can be used from.

Minimum array length: 1
accessTokenTTL
integer
default:2592000

The lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenMaxTTL
integer
default:2592000

The maximum lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenNumUsesLimit
integer
default:0

The maximum number of times that an access token can be used.

Required range: x >= 0

Response

Default Response

identityOidcAuth
object
required